Create a Project
Create a Project in a Workspace — Taskade REST API v1 reference: POST /workspaces/{workspaceId}/projects. Parameters, authentication, and response schema.
post
Create a project in a workspace
Authorizations
OAuth2authorizationCodeRequired
Authorization URL: Token URL:
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
workspaceIdstringRequired
Body
contentTypestring · enumRequiredPossible values:
contentstringRequired
Responses
200
Successful Project creation
application/json
Successful Project creation
okboolean · enumRequiredPossible values:
4XX
Error description
application/json
post/workspaces/{workspaceId}/projects
POST /api/v1/workspaces/{workspaceId}/projects HTTP/1.1
Host: www.taskade.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 48
{
"contentType": "text/markdown",
"content": "text"
}{
"ok": true,
"item": {
"id": "abc123DEF456",
"name": "Sales Pipeline"
}
}Last updated
Was this helpful?